# DataStructures::MemoryPool< MemoryBlockType > Class Template Reference

`#include <DS_MemoryPool.h>`

List of all members.

## Detailed Description

### template<class MemoryBlockType>
class DataStructures::MemoryPool< MemoryBlockType >

Very fast memory pool for allocating and deallocating structures that don't have constructors or destructors. Contains a list of pages, each of which has an array of the user structures

The documentation for this class was generated from the following file:

- C:/RakNet/Source/DS_MemoryPool.h